datacache <- new.env(hash=TRUE, parent=emptyenv())

mouse4302 <- function() showQCData("mouse4302", datacache)
mouse4302_dbconn <- function() dbconn(datacache)
mouse4302_dbfile <- function() dbfile(datacache)
mouse4302_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
mouse4302_dbInfo <- function() dbInfo(datacache)

mouse4302ORGANISM <- "Mus musculus"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "mouse4302.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("MOUSECHIP_DB", "mouse4302", "chip mouse4302", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
    packageStartupMessage(AnnotationDbi:::annoStartupMessages("mouse4302.db"))
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(mouse4302_dbconn())
}

